{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Form Buat Transaksi Makan</title>
<style>
  label {
    font-size: 24px;
    font-weight: bold;
  }

  select {
    width:150px;
    height: 30px;
  }

  select {
    font-size: 20px;
  }

  button {
    height: 30px;
    font-size: 15px;
  }
</style>
{% endblock meta%}


{% block content %}

{% if has_reservation %}
<h2>Form Buat Transaksi Makan</h2>

<label for="idtransaksihotel">Id Transaksi:</label>
<select name="idtransaksihotel" id="idtransaksihotel" onchange="handleOnChange(this)">
    <option value="{{list_id.0.0}}" selected>{{list_id.0.0}}</option>
    {% for elem in list_id %}
        {% if forloop.counter0 > 0 %}
        <option value="{{elem.0.0}}">{{elem.0.0}}</option>
        {% endif %}
    {% endfor %}
</select>

<h2 id="idtransaksimakan">Id Transaksi Makan: {{newTM}}</h2>
<input type="hidden" value="{{newTM}}" id="input_idTM">
<h2 id="kodehotel">Kode Hotel: {{kode_hotel}}</h2>
<input type="hidden" id="input_kodehotel" name="kode_hotel" value="{{kode_hotel}}">

<br><br>
<h2>Pesanan:</h2>
<br>
<div class="section-list-paket">
    <div class="container-dropdown">
      <select name="paket" id="paket">
        {% for paket in list_paket %}
        <option value="{{paket.0}}-{{paket.1}}">
          {{paket.1}} - {{paket.2}}
        </option>
        {% endfor %}
      </select>
      <button class="button-delete" onclick="$(this).parent().remove();">
        Delete
      </button>
    </div>
</div>
<br>

<button id="btn-tambah">Tambah</button>
<br><br>
<button id="btn-simpan">Simpan</button>


{% else %}
<br><br>
<p>Kamu belum memiliki reservasi hotel.</p>
{% endif %}


<script
  src="https://code.jquery.com/jquery-3.6.0.js"
  integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk="
  crossorigin="anonymous"
></script>
<script src="{% static 'js/buat-transaksi.js'%}"></script>
{% endblock content%}